require 'spec_helper'

describe Vx::Common::AMQP::Config do
  let(:config) { described_class.new }

  it "should use builder" do
    mid = Struct.new(:app) do
      def call(env)
        env.merge!(a: 1)
      end
    end

    config.use :sub, mid
    config.use :pub, mid

    rs = config.builders[:pub].to_app(->(e) { e }).call({})
    expect(rs).to eq(a: 1)

    rs = config.builders[:sub].to_app(->(e) { e }).call({})
    expect(rs).to eq(a: 1)
  end

end
